#
# spec file for package python-notify2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-notify2
Version:        0.3
Release:        1.1
Summary:        Python interface to DBus notifications
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/notify2/
Source:         https://pypi.python.org/packages/source/n/notify2/notify2-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildRequires:  dbus-1-python
Requires:       dbus-1-python
BuildArch:      noarch

%description
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly. It's compatible
with Python 2 and 3, and its callbacks can work with Gtk 3 or Qt 4
applications.

%prep
%setup -q -n notify2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root %{buildroot}

%files
%defattr(-,root,root)
# Note: no need for update-alternatives, there is no conflicting path with python3-notify2
# (no documentation, no script in bindir)
%{python_sitelib}/notify2.py
%{python_sitelib}/notify2.pyc
%{python_sitelib}/notify2-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Jul 30 2015 antoine.belvire@laposte.net
- Initial package (v0.3).
